summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD42
2 files changed, 22 insertions, 22 deletions
diff --git a/.SRCINFO b/.SRCINFO
index ee06a2a1d30..6921b6013c8 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = pygobject-tutorial-git
pkgdesc = The PyGObject Tutorial in html format.
- pkgver = r229.db51eb6
+ pkgver = r257.3cd49b0
pkgrel = 1
url = https://github.com/sebp/PyGObject-Tutorial
arch = any
diff --git a/PKGBUILD b/PKGBUILD
index c417e294fe6..41d41fc9b13 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Mohammadreza Abdollahzadeh <morealaz at gmail dot com>
pkgbase=pygobject-tutorial-git
pkgname=('pygobject-tutorial-git' 'pygobject-tutorial-devhelp-git')
-pkgver=r229.db51eb6
+pkgver=r257.3cd49b0
pkgrel=1
pkgdesc="The PyGObject Tutorial in html format."
arch=('any')
@@ -12,36 +12,36 @@ source=("${pkgbase%-git}::git+${url}.git")
md5sums=('SKIP')
pkgver() {
- cd "${pkgbase%-git}"
- ( set -o pipefail
- git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
- printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
- )
+ cd "${pkgbase%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build(){
- cd "${pkgbase%-git}"
- make html
- make devhelp
+ cd "${pkgbase%-git}"
+ make html
+ make devhelp
}
package_pygobject-tutorial-git() {
- provides=("${pkgname%-git}")
- conflicts=("${pkgname%-git}")
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
- install -d ${pkgdir}/usr/share/doc/python-gobject-tutorial
- cd "${pkgbase%-git}"
- cp -a build/html ${pkgdir}/usr/share/doc/python-gobject-tutorial/
+ install -d ${pkgdir}/usr/share/doc/python-gobject-tutorial
+ cd "${pkgbase%-git}"
+ cp -a build/html ${pkgdir}/usr/share/doc/python-gobject-tutorial/
}
package_pygobject-tutorial-devhelp-git() {
- pkgdesc="The PyGObject Tutorial for GNOME devhelp."
- provides=("${pkgname%-git}")
- conflicts=("${pkgname%-git}")
+ pkgdesc="The PyGObject Tutorial for GNOME devhelp."
+ provides=("${pkgname%-git}")
+ conflicts=("${pkgname%-git}")
- install -d ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial
- cd "${pkgbase%-git}"
- cp -a build/devhelp/* ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial/
+ install -d ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial
+ cd "${pkgbase%-git}"
+ cp -a build/devhelp/* ${pkgdir}/usr/share/devhelp/books/PythonGTK3Tutorial/
}
-# vim:set ts=2 sw=2 et:w
+# vim:set ts=4 sw=4 et:w